# Class EventListenerProxy

java.lang.Object
java.util.EventListenerProxy

All Implemented Interfaces:
  `EventListener`

public abstract class EventListenerProxy extends Object implements EventListener
This abstract class provides a simple wrapper for objects of type `EventListener`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventListenerProxy(EventListener listener)`
  Creates a new `EventListener` proxy instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventListener`
  `getListener()`
  Returns the wrapped `EventListener`.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### EventListenerProxy

    public EventListenerProxy(EventListener listener)
    Creates a new `EventListener` proxy instance.
    Parameters:
      `listener` - the listener wrapped by this proxy.

- ## Method Details

  - ### getListener

    public EventListener getListener()
    Returns the wrapped `EventListener`.
    Returns:
      the wrapped `EventListener`.